tbb::internal::pipeline_cleaner Class Reference
Inheritance diagram for tbb::internal::pipeline_cleaner:
Collaboration diagram for tbb::internal::pipeline_cleaner:

## Public Member Functions

| pipeline_cleaner (pipeline &_pipeline)
| ~pipeline_cleaner ()

## Private Attributes

pipeline & | my_pipeline

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 500 of file pipeline.cpp.

## Constructor & Destructor Documentation

## pipeline_cleaner()

tbb::internal::pipeline_cleaner::pipeline_cleaner | ( | pipeline & | _pipeline | ) |

inline

Definition at line 503 of file pipeline.cpp.

:
my_pipeline(_pipeline)
{}
tbb::internal::pipeline_cleaner::my_pipeline
pipeline & my_pipeline
Definition: pipeline.cpp:501

## ~pipeline_cleaner()

tbb::internal::pipeline_cleaner::~pipeline_cleaner | ( |  | ) |

inline

Definition at line 506 of file pipeline.cpp.

{
#if __TBB_TASK_GROUP_CONTEXT
if (my_pipeline.end_counter->is_cancelled()) // Pipeline was cancelled
my_pipeline.clear_filters();
#endif
my_pipeline.end_counter = NULL;
}

References my_pipeline.

## Member Data Documentation

## my_pipeline

pipeline& tbb::internal::pipeline_cleaner::my_pipeline

private

Definition at line 501 of file pipeline.cpp.

Referenced by ~pipeline_cleaner().

The documentation for this class was generated from the following file:

- pipeline.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.